package ru.dbotthepony.kstarbound.freetype.struct;

import com.sun.jna.Structure;

@Structure.FieldOrder({
	"x_ppem",
	"y_ppem",
	"x_scale",
	"y_scale",
	"ascender",
	"descender",
	"height",
	"max_advance",
})
public class FT_Size_Metrics extends Structure {
									 /** horizontal pixels per EM               */
	public short        x_ppem;      /** vertical pixels per EM                 */
	public short        y_ppem;      /** scaling values used to convert font    */

	public FT_Fixed     x_scale;     /** units to 26.6 fractional pixels        */
	public FT_Fixed     y_scale;     /** ascender in 26.6 frac. pixels          */

	public FT_Pos       ascender;    /** descender in 26.6 frac. pixels         */
	public FT_Pos       descender;   /** text height in 26.6 frac. pixels       */
	public FT_Pos       height;      /** max horizontal advance, in 26.6 pixels */
	public FT_Pos       max_advance;
}
